Credentials on File
Get credentials
Get a list of credentials on file which belong to this account.
The results are grouped into pages. The caller can specify how many customers per page shall be listed (maximum is 500).
GET
/
credentials
Get credentials
curl --request GET \
--url https://sandbox.hellgate.io/credentials \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.hellgate.io/credentials"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.hellgate.io/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"cardholder_name": "<string>",
"expiry_month": 123,
"expiry_year": 123,
"masked_account_number": "<string>",
"issuer": {
"account": {
"country_code": "<string>",
"currency": "<string>"
},
"identification_number": "<string>",
"name": "<string>",
"scheme": "<string>"
}
}
],
"pagination": {
"current_page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}Authorizations
Query Parameters
The desired amount of records per page.
Required range:
1 <= x <= 500The desired number of the page to return.
Required range:
x >= 1⌘I
Get credentials
